低危 ImageMagick 'ReadCINImage'函数拒绝服务漏洞

CVE编号

CVE-2017-11525

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-07-23
漏洞描述
在6.9.9-0之前的ImageMagick中的coders / cin.c中的ReadCINImage函数和7.0.6-1之前的7.x允许远程攻击者通过精心制作的文件导致拒绝服务(内存消耗)。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/ImageMagick/ImageMagick/issues/519
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick * Up to
(including)
6.9.9-0
运行在以下环境
应用 imagemagick imagemagick 7.0.0-0 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-0 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-1 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-10 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-2 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-3 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-4 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-5 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-6 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-7 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-8 -
运行在以下环境
应用 imagemagick imagemagick 7.0.1-9 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-0 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-1 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-10 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-2 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-3 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-4 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-5 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-6 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-7 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-8 -
运行在以下环境
应用 imagemagick imagemagick 7.0.2-9 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-0 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-1 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-10 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-2 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-3 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-4 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-5 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-6 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-7 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-8 -
运行在以下环境
应用 imagemagick imagemagick 7.0.3-9 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-0 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-1 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-10 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-2 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-3 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-4 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-5 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-6 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-7 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-8 -
运行在以下环境
应用 imagemagick imagemagick 7.0.4-9 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-0 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-1 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-4 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-5 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-6 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-7 -
运行在以下环境
应用 imagemagick imagemagick 7.0.5-8 -
运行在以下环境
应用 imagemagick imagemagick 7.0.6-1 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
8:6.9.7.4+dfsg-11+deb9u1
运行在以下环境
系统 debian_7 imagemagick * Up to
(excluding)
8:6.7.7.10-5+deb7u16
运行在以下环境
系统 debian_8 imagemagick * Up to
(excluding)
8:6.8.9.9-5+deb8u2
运行在以下环境
系统 debian_9 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-11+deb9u1
运行在以下环境
系统 opensuse_Leap_42.3 imagemagick * Up to
(excluding)
6.8.8.1-52.1
运行在以下环境
系统 suse_11_SP4 imagemagick * Up to
(excluding)
6.4.3.6-7.78.29.2
运行在以下环境
系统 suse_12 ImageMagick * Up to
(excluding)
6.8.8.1-71.33
运行在以下环境
系统 suse_12_SP2 imagemagick * Up to
(excluding)
1-6.8.8.1-71.33.1
运行在以下环境
系统 suse_12_SP3 imagemagick * Up to
(excluding)
1-6.8.8.1-71.33.1
运行在以下环境
系统 ubuntu_14.04.6_lts imagemagick * Up to
(excluding)
8:6.7.7.10-6ubuntu3.8
运行在以下环境
系统 ubuntu_16.04 imagemagick * Up to
(excluding)
8:6.8.9.9-7ubuntu5.8
运行在以下环境
系统 ubuntu_16.04.7_lts imagemagick * Up to
(excluding)
8:6.8.9.9-7ubuntu5.8
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-770 不加限制或调节的资源分配
阿里云安全产品覆盖情况